$sans: 'Bitter', verdana, sans-serif;
$serif: 'Miriam Libre', verdana,  sans-serif;
// $robotS: 'Robot Slab',sans-serif;

// colors:
$grey: #1e272e;
$red1: #ff3f34;
$red2: #f53b57;
$header: black;
// $header: #5a61ed;

body {
    margin: 0;
    background-color: $grey;
}

.background {
    z-index: -2;
    // position: absolute;
    // background: url(https://media.giphy.com/media/ZyuxPAAbQJnnPvxj8Q/giphy.gif) no-repeat;
    background-color: $header;
    background-position: center center;
    background-size: cover;
    width: 0 auto;
    height: 100vh;
    align-content: center;
    overflow: hidden;
    position: relative;
    div {
        position: absolute;
        z-index: 1;
        width: 100%;
        height: 20vh;
        bottom: 0;
        // background-color: $header;
        background-image: linear-gradient(transparent, $header);
    }
    video {
        // min-height: 100%;
        // width: 100%;
        height: auto;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}


#gradient {
    // background-color: red;
    background-image: linear-gradient($header, $grey);
    height: 20vh;
    width: 100%;
    padding: 0;
    margin: 0;
    color: white;
    // position: relative;
    #projectsheader{
        // position: inline-block;
        display: inline-block;
        // background-color: red;
        margin-left: 70px;
        margin-top: 30px;
        // margin-top: 40px;
        font-family:$serif;
        font-size: 50px;
    }
}

main {
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 1fr;
    justify-content: space-evenly;
    // justify-content: a;
    margin-top: -80px;
    margin-bottom: 80px;
    // grid-auto-columns: minmax(1fr, 300px);
    grid-auto-rows: 250px;
    margin-left: 70px;
    margin-right: 70px;

    article {
        position: relative;
        color: white;
        padding: 40px;
        font-family: $sans;
        // background-color: #5a61ed;
        background-color: $grey;
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2),
            0 6px 20px 0 rgba(0, 0, 0, 0.19);
        border-radius: 2px;
        background-image: url(images/mars.jpg);
        background-size: cover;
        background-position: center center;
        background-repeat: no-repeat;
        transition: color 0.25s;
        cursor: pointer;
        transition: background-image 1s linear;
        overflow: hidden;
        // height: 250px;
        div {
            background-color: $red1;
            padding-bottom: 30px;
            padding-left: 30px;
            padding-top: 30px;
            width: 100%;
            bottom: 0;
            left: 0;
            position: absolute;
            font-size: 36px;
        }

    }
    article:hover, article:nth-child(odd):hover {
        // background-image: none;
        background-size: 110%;

    }
    article:nth-child(odd) {
        background-image: url(images/comet.jpg);
    }

}

.infobox {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1;
    margin: 0 auto;
    font-family: $sans;
    border-radius: 3px;
    color: white;
    padding-bottom: 0;
    width: 450px;
    margin-left: 70px;
    margin-bottom: 70px;

    h1 {
        font-weight: 100;
        margin: 0;
    }

    hr {
        background-color: red;
        color: red;
    }

    p {
        font-size: 13px;
        font-weight: 300;

        span {
            font-weight: bold;

            main {
                margin-left: 2px;
                margin-right: 2px;
                grid-auto-rows: 400px;
                margin-top: 10px;
            }
            // font-style: italic;
        }
    }

    .scroll {
            span {
                color: white;
                font-family: $sans;
                transition: border-bottom 0.5s linear;
                border-bottom: 1px red solid;
                cursor: pointer;
            }

        }
    .scroll:hover > span {
        border-bottom: 1px white solid;
    }
}





@media all and (max-width: 440px) {
    body {
        background-color: black;
    }
    main {
        margin-left: 2px;
        margin-right: 2px;
        grid-auto-rows: 400px;
        margin-top: 10px;
    }

    .infobox {
        margin: 0;
        width: 90vw;
        padding-left: 5vw;
        padding-right: 5vw;
        margin-bottom: 10px;

        h1 {
            font-size: 20px;
        }

        hr {
            display: none;
        }

        p {
            font-size: 12px;
            margin: 0;
        }

        

        
    }
    .remsmall {
        display: none;
    }
    .scroll {
        // background-image: linear-gradient(rgba(0, 0, 0, 0), black);
        margin-top: 10px;
        font-size: 14px;
        text-align: center;
        width: 100%;
    }
}

@media all and (min-width: 500px) {
    .infobox {
        p{
            font-size: 16px;
        }
        h1{
            font-size: 36px;
        }
        .scroll {
            font-size: 18px;
            
        }
    }
}

@media all and (min-width: 900px) {
    main {
        grid-template-columns: repeat(2, 1fr);
    }

    article:first-child {
        grid-area: 1 / 1 / 3 / 3
    }
}

@media all and (min-width: 1400px) {
    main {
        grid-template-columns: repeat(3, 1fr);
    }
}
